set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

set timing on

spool &ns.tabletest.log

-- simple test of tab stats with hists

drop table test;

create table test as select * from dba_tables;

execute tab_stats_with_hists('TSWH','TEST',NULL);

select num_rows,to_char(last_analyzed,'YYYY-MM-DD HH24:MI:SS') LA
from user_tables where table_name='TEST';

spool off
